#
# spec file for package python-pywbem
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-pywbem
Version:        0.7.0
Release:        10.4
Url:            http://pywbem.sf.net/
Summary:        Python module for making CIM operation calls using the WBEM protocol
License:        LGPL-2.1+
Group:          System/Management
Source0:        pywbem-%{version}.tar.gz
# PATCH-FIX-UPSTREAM -- Upstream patch for IPv6 support
Patch:          pywbem-ipv6.patch
BuildRequires:  python-devel
BuildRequires:  python-xml
Requires:       python-xml
Provides:       pywbem = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
PyWBEM is a Python module for making CIM operation calls using the WBEM
protocol to query and update managed objects.

%prep
%setup  -q -n pywbem-%{version}
%patch -p1

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
#NOTE(saschpe): Definitely ugly but symlinking those binaries is the easiest way, thus
chmod +x %{buildroot}%{python_sitelib}/pywbem/{wbemcli,mof_compiler}.py
install -d %{buildroot}/usr/bin
ln -s %{python_sitelib}/pywbem/mof_compiler.py %{buildroot}/usr/bin/mofcomp
ln -s %{python_sitelib}/pywbem/wbemcli.py %{buildroot}/usr/bin/pywbemcli

%files
%defattr(-,root,root,-)
%doc README 
%{_bindir}/mofcomp
%{_bindir}/pywbemcli
%{python_sitelib}/pywbem-%{version}-py%{py_ver}.egg-info
%{python_sitelib}/pywbem

%changelog
* Fri Feb 21 2014 kkaempf@suse.com
- provide 'pywbem' for upstream compatibility
* Thu Jan  9 2014 speilicke@suse.com
- Added pywbem-ipv6.patch: IPv6 support taken from systemsmanagement:wbem
* Thu Dec 19 2013 speilicke@suse.com
- Don't remove buildroot in install section
* Sun Aug  9 2009 coolo@novell.com
- use new python macros
* Fri Dec 12 2008 bwhiteley@suse.de
- update to 0.7.0 official release.  Previous builds were based on
  svn snapshots.
- This update includes some fixes for python-2.6 and some fixes for
  problems found by pychecker.
- Local connection factory functions now allow passing more
  arguments, making them more consistent with WBEMConnection().
* Fri Oct 24 2008 bwhiteley@suse.de
- update to latest svn
- symlink new wbemcli utility to /usr/bin/
* Sat Sep 27 2008 bwhiteley@suse.de
- Updated to latest svn in preparation for update to soon-to-be-
  released 0.7.
* Thu Sep 11 2008 bwhiteley@suse.de
- Updated to latest svn in preparation for update to soon-to-be-
  released 0.7.
* Fri Mar 21 2008 mmarek@suse.cz
- simplify %%%%install
* Thu Mar 20 2008 mmarek@suse.cz
- added changes file to the buildservice package, summarize recent
  updates
* Thu Feb 21 2008 bwhiteley@suse.de
- update to svn trunk (0.6.20080221.1)
  LICENSING:
  * Relicensed from the GNU GPLv2 to the GNU LGPLv2.
  API CHANGES:
  * Add a type keyword arg and attribute to CIMQualifier, similar to
    the CIMProperty object, to allow the creation of null qualifiers.
    (Tim Potter)
  * Remove the toxml() method from CIM object classes.  Use
    tocimxml().toxml() instead which specifies the CIM-XML
    representation of the object. (Tim Potter)
  * CIMDateTime class should now be used instead of datetime.datetime
    and datetime.timedelta.
  * Added a new method, CIMInstance.update_existing().  This behaves
    like update() on a dict, but only assigns new values to existing
    properties.  It skips values for properties not already present
    in the instance.  This is useful for honoring PropertyList within
    python providers.
  ENHANCEMENTS:
  * Added support for generating Pegasus provider registration MOF in
    cim_provider.codegen(). (Bart Whiteley)
  * Implemented methods to parse indication export requests.
    (Bart Whiteley)
  * Python provider code generation enhancements.  (Bart Whiteley)
  * Support for Pegasus Local authentication.  (Bart Whiteley)
  * Support for Pegasus and OpenWBEM Unix Domain Socket.  (Tim and Bart)
  * Added support for Pegasus non-compliant EMBEDDEDOBJECT XML attribute.
    (Bart Whiteley)
  * Added CIMQualifierDeclaration.tomof().  (Bart Whiteley)
  * Added a powerful MOF compiler.  (Bart Whiteley)
  * Support for OpenWBEM password-less local authentication.
    (Bart Whiteley)
  * Support for embedded objects is described in DSP0201-2.2.0
    (Bart Whiteley)
  * New CIMDateTime class to deal with CIM-isms of datetimes.
    Most notably, datetime deals with timezone info poorly.
    (Bart Whiteley)
  * Add InvokeMethod() support in Twisted Python client. (Tim
    Potter)
  plus lots of bugfixes
* Wed Nov  1 2006 bwhiteley@suse.de
- Update to pywbem-0.5
* Sat Sep 23 2006 aj@suse.de
- Fix build with python 2.5.
* Wed Apr 26 2006 bwhiteley@suse.de
- Renamed package from python-wbem to python-pywbem per request
  from upstream maintainer
* Thu Apr  6 2006 bwhiteley@suse.de
- Update to CVS snapshot.  This includes several fixes which enable
  method invocation.
* Tue Feb 28 2006 jmatejek@suse.cz
- updated to reflect python changes due to #149809
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Dec 16 2005 bwhiteley@suse.de
- added "Requires: python-xml"
* Tue Nov 15 2005 bwhiteley@suse.de
- Updated to real version 0.4.  Previously version 0.4 was a pre-
  release "under the table" distribution from Tim Potter
* Thu Oct  6 2005 bwhiteley@suse.de
- Initial package
